Bug 700719 - [abrt] gedit-2:2.30.4-1.fc14: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-2:2.30.4-1.fc14: Process /usr/bin/gedit was killed by signal 11 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:2db4b9d2677e840e24081b10e8f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-29 03:57 EDT by Clément DAVID
Modified: 2012-08-16 11:36 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (36.44 KB, text/plain)
2011-04-29 03:57 EDT, Clément DAVID
no flags Details
the file that caused the crash for me. (232.89 KB, text/html)
2011-08-29 14:52 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description Clément DAVID 2011-04-29 03:57:11 EDT
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 37316 bytes
cmdline: gedit --sm-client-id 10d373dd69c026f04013039983776557000000022100048 --sm-client-state-file /home/davidcl/.config/session-state/gedit-1304006129.desktop
component: gedit
Attached file: coredump, 128851968 bytes
crash_function: _gtk_text_btree_get_chars_changed_stamp
executable: /usr/bin/gedit
kernel: 2.6.35.12-90.fc14.x86_64
package: gedit-2:2.30.4-1.fc14
rating: 4
reason: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1304063894
uid: 500

How to reproduce
-----
Appears when I close the editor with a pretty huge html file but I'm unable to reproduce it easily.
Comment 1 Clément DAVID 2011-04-29 03:57:14 EDT
Created attachment 495728 [details]
File: backtrace
Comment 2 Trever Adams 2011-05-03 18:26:38 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I work with text in many languages, I past in html into gedit regularly
2. Do enough of these with certain characters (I haven't figured out which yet)
3. Crash
Comment 3 Nicolas De Amicis 2011-05-19 03:54:06 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Open a MySQL Dump file (.sql) ~800kb with gedit. This file was in trash folder
2.
3.
Comment 4 Michael Setzer II 2011-05-28 16:43:14 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Doing a search and replace
2.
3.
Comment 5 Sherif 2011-05-31 08:11:13 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open a sql file size 1.9MB
2.
3.
Comment 6 Danny Michel 2011-06-01 10:58:42 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I tried opening a 760kb .sql file

Comment
-----
I tried opening a 760kb .sql file and gedit crashed
Comment 7 Paul Nittel 2011-06-22 15:57:54 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I double-clicked a 2.6MB file in File Manager
2. gedit began to load the file, then it crashed.
3.


Comment
-----
I suppose the file was too large for gedit to digest.
Comment 8 igor.redhat@gmail.com 2011-08-29 14:50:49 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
gedit crashed when opening the attached file. This doesn't seem to be reliably reproducible - it crashed the first two times but it was able to open the file fine the next few times I tried...
Comment 9 igor.redhat@gmail.com 2011-08-29 14:52:47 EDT
Created attachment 520449 [details]
the file that caused the crash for me.
Comment 10 xlu 2011-09-19 03:46:49 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Opening downloaded file from /tmp
Comment 11 luke_l 2011-11-19 08:49:03 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. sql file open in gedit
Comment 12 Fedora End Of Life 2012-08-16 11:36:19 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.